StyleParserInternal::State Struct Reference documentation

StyleParserInternal::State Struct Reference

Internal: the state of a StyleParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::map< std::string, MWAWEntry > | m_entryMap
| the map type to entry
bool | m_unicodeChar
| true if the character are unicode character
MWAWEntry | m_textEntry
| the text entry
MWAWColor | m_backgroundColor
| the background color
std::vector< int > | m_fontIdToFinalIdList
| list of font final id
std::vector< Font > | m_fontList
| the list of font style
std::vector< MWAWParagraph > | m_paragraphList
| the list of paragraph style
std::map< long, int > | m_posFontIdMap
| a map pos->font id
std::map< long, int > | m_posParagraphIdMap
| a map pos->paragraphId
std::map< long, Picture > | m_posPictureMap
| a map pos->pictEntry
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document

## Detailed Description

Internal: the state of a StyleParser.

## Constructor & Destructor Documentation

## ◆ State()

StyleParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int StyleParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_backgroundColor

MWAWColor StyleParserInternal::State::m_backgroundColor

the background color

Referenced by State().

## ◆ m_entryMap

std::map<std::string, MWAWEntry> StyleParserInternal::State::m_entryMap

the map type to entry

Referenced by State().

## ◆ m_fontIdToFinalIdList

std::vector<int> StyleParserInternal::State::m_fontIdToFinalIdList

list of font final id

Referenced by State().

## ◆ m_fontList

std::vector<Font> StyleParserInternal::State::m_fontList

the list of font style

Referenced by State().

## ◆ m_numPages

int StyleParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_paragraphList

std::vector<MWAWParagraph> StyleParserInternal::State::m_paragraphList

the list of paragraph style

Referenced by State().

## ◆ m_posFontIdMap

std::map<long, int> StyleParserInternal::State::m_posFontIdMap

a map pos->font id

Referenced by State().

## ◆ m_posParagraphIdMap

std::map<long, int> StyleParserInternal::State::m_posParagraphIdMap

a map pos->paragraphId

Referenced by State().

## ◆ m_posPictureMap

std::map<long, Picture> StyleParserInternal::State::m_posPictureMap

a map pos->pictEntry

Referenced by State().

## ◆ m_textEntry

MWAWEntry StyleParserInternal::State::m_textEntry

the text entry

Referenced by State().

## ◆ m_unicodeChar

bool StyleParserInternal::State::m_unicodeChar

true if the character are unicode character

Referenced by State().

The documentation for this struct was generated from the following file:

- StyleParser.cxx